As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 370891 - compose window fails if myspell is not registered
: compose window fails if myspell is not registered
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: 1.8 Branch
: x86 Linux
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-19 04:55 PST by Wolfgang Rosenauer [:wolfiR]
Modified: 2007-04-18 14:19 PDT (History)
6 users (show)
kairo: blocking‑seamonkey1.1.1+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (632 bytes, patch)
2007-02-19 05:02 PST, neil@parkwaycc.co.uk
mnyromyr: review+
kairo: approval‑seamonkey1.1.1+
Details | Diff | Splinter Review

Description User image Wolfgang Rosenauer [:wolfiR] 2007-02-19 04:55:34 PST
I've updated to 1.1.1 and now I can't compose mails anymore but just get
"An error occurred while creating a message compose window. Please try again."

Turned out that the problem is:
EX: = TypeError: Components.classes['@mozilla.org/spellchecker/myspell;1'] has no properties

I don't have the spellchecker component installed since I build RPMs which are split up and spellchecker is a subpackage which I don't install usually.
That worked always in the past but now fails with SM 1.1.1
Comment 1 User image neil@parkwaycc.co.uk 2007-02-19 05:02:25 PST
Created attachment 255680 [details] [diff] [review]
Proposed patch

Dunno how that crept in...
Comment 2 User image Wolfgang Rosenauer [:wolfiR] 2007-02-19 06:17:15 PST
At least I can compose mails again with that patch. Thanks.
Comment 3 User image Ian Neal 2007-02-20 10:48:56 PST
Comment on attachment 255680 [details] [diff] [review]
Proposed patch

Shouldn't we be doing:
if ("@mozilla.org/spellchecker;1" in Components.classes)
within the InitLanguageMenu function too? Does this also need fixing in TB?
Comment 4 User image neil@parkwaycc.co.uk 2007-02-21 03:46:39 PST
(In reply to comment #3)
>(From update of attachment 255680 [details] [diff] [review])
>Shouldn't we be doing:
>if ("@mozilla.org/spellchecker;1" in Components.classes)
>within the InitLanguageMenu function too?
No, because the spelling button will be disabled.

>Does this also need fixing in TB?
Probably. I pinged scott over AIM.
Comment 5 User image Robert Kaiser 2007-02-21 09:20:08 PST
Neil checked this in, I moved the 1.1.1 tag accordingly.
Comment 6 User image Scott MacGregor 2007-04-18 13:42:14 PDT
Phil, are you interested in porting this to tbird since you're helping out with Bug 377662?
Comment 7 User image Phil Ringnalda (:philor) 2007-04-18 14:19:21 PDT
Yep, I'll get it this weekend, but probably by reusing bug 318030 since it looks like maybe Tb needs some help disabling the UI once you do get in without a dictionary.

Note You need to log in before you can comment on or make changes to this bug.